Skip to content

List tests ​

Returns the tests available to the organization associated with the bearer token.

GEThttps://app.smalltalk2.me/api/integration/list_tests

Request ​

This endpoint has no query parameters.

bash
curl 'https://app.smalltalk2.me/api/integration/list_tests' \
  -H 'Authorization: Bearer <token>'

Response ​

The response is a JSON object containing a tests array.

PropertyTypeAvailabilityDescription
testsobject[]alwaysTests available to the organization. The array can be empty.

Each item in tests has these properties:

PropertyTypeAvailabilityDescription
idstringalwaysIdentifies a test available to the organization.
namestringalwaysDescriptive title for the test.
json
{
  "tests": [
    {
      "id": "1b23q",
      "name": "Speaking test"
    },
    {
      "id": "42a621",
      "name": "Writing test"
    }
  ]
}

Pass a selected test id as test_id when you send the test.

SmallTalk2Me documentation